Subject: [smartpower-interest] Bloom Box and the Smart Grid Future

From: hector <[email-masked]>
Date: Tue, 23 Feb 2010 08:35:12 -0500

How are the SG efforts going to change with the "Small Energy Box" era 
  (like the Bloom Box) that in my view, is the future direction?

http://www.cbsnews.com/video/watch/?id=6228923n&tag=contentMain;contentBody

--
HLS